Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 616501 - publish used ABI incompatible with future guests
publish used ABI incompatible with future guests
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Michael S. Tsirkin
Virtualization Bugs
:
Depends On:
Blocks: 616503
  Show dependency treegraph
 
Reported: 2010-07-20 11:48 EDT by Michael S. Tsirkin
Modified: 2013-01-09 17:54 EST (History)
6 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.98.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 616503 (view as bug list)
Environment:
Last Closed: 2010-11-10 16:26:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael S. Tsirkin 2010-07-20 11:48:41 EDT
Description of problem:
publish used feature was revertred upstream,
and discussion is ongoing to make it trigger
layout change that won't be compatible with RHEL.

This will be a big problem with support going forward,
so the right thing for now is to revert this in RHEL6,
as performance gain from it is minor.

Version-Release number of selected component (if applicable):
2:0.12.1.2-2.90.el6

How reproducible:
always

Steps to Reproduce:
1. boot rhel6 guest with virtio-net
2. look at features
  
Actual results:
bit 29 should be off

Expected results:
bit 29 is on

Additional info:
Comment 5 Keqin Hong 2010-07-30 03:36:38 EDT
Reproduced in qemu-kvm-0.12.1.2-2.97 and verified in qemu-kvm-0.12.1.2-2.99.

Steps:
1. boot a rhel6 guest with "-netdev tap,id=hostnet0,vhost=on"
2. under qemu monitor, execute "info qtree"

Result: publish_used feature is removed

(qemu) info qtree
...
dev: virtio-net-pci, id "net0"
        dev-prop: vectors = 3
        dev-prop: indirect_desc = off
        dev-prop: publish_used = off
        dev-prop: csum = on
        dev-prop: guest_csum = on
        dev-prop: gso = on
        dev-prop: guest_tso4 = on
        dev-prop: guest_tso6 = off
        dev-prop: guest_ecn = off
        dev-prop: guest_ufo = off
        dev-prop: host_tso4 = off
        dev-prop: host_tso6 = off
        dev-prop: host_ecn = off
        dev-prop: host_ufo = off
        dev-prop: mrg_rxbuf = off
        dev-prop: status = off
        dev-prop: ctrl_vq = off
        dev-prop: ctrl_rx = off
        dev-prop: ctrl_vlan = off
        dev-prop: ctrl_rx_extra = off
        dev-prop: mac = 54:52:00:1d:c0:af
        dev-prop: vlan = <null>
        dev-prop: netdev = hostnet0
        bus-prop: addr = 04.0
        bus-prop: romfile = "pxe-virtio.bin"
        bus-prop: rombar = 1
        class Ethernet controller, addr 00:04.0, pci id 1af4:1000 (sub 1af4:0001)
        bar 0: i/o at 0xffffffffffffffff [0x1e]
        bar 1: mem at 0xffffffffffffffff [0xffe]
        bar 6: mem at 0xffffffffffffffff [0xfffe]

qemu-kvm-0.12.1.2-2.99
(qemu) info qtree
...
dev: virtio-net-pci, id "net0"
        dev-prop: vectors = 3
        dev-prop: indirect_desc = off
        dev-prop: csum = on
        dev-prop: guest_csum = on
        dev-prop: gso = on
        dev-prop: guest_tso4 = on
        dev-prop: guest_tso6 = off
        dev-prop: guest_ecn = off
        dev-prop: guest_ufo = off
        dev-prop: host_tso4 = off
        dev-prop: host_tso6 = off
        dev-prop: host_ecn = off
        dev-prop: host_ufo = off
        dev-prop: mrg_rxbuf = off
        dev-prop: status = off
        dev-prop: ctrl_vq = off
        dev-prop: ctrl_rx = off
        dev-prop: ctrl_vlan = off
        dev-prop: ctrl_rx_extra = off
        dev-prop: mac = 54:52:00:1d:c0:af
        dev-prop: vlan = <null>
        dev-prop: netdev = hostnet0
        bus-prop: addr = 04.0
        bus-prop: romfile = "pxe-virtio.bin"
        bus-prop: rombar = 1
        class Ethernet controller, addr 00:04.0, pci id 1af4:1000 (sub 1af4:0001)
        bar 0: i/o at 0xffffffffffffffff [0x1e]
        bar 1: mem at 0xffffffffffffffff [0xffe]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
Comment 6 releng-rhel@redhat.com 2010-11-10 16:26:42 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.